#!/usr/local/bin/perl
################################################
#.....#      -= ViP.counter v1.5 =-      #.....#
#.....#........ ___ ___ __ ______........#.....#
#.....#........|   |   |__|   __ \.......#.....#
#.....#........|   |   |  |    __/.......#.....#
#.....#.........\_____/|__|___|..........#.....#
#.....#        s  c  r  i  p  t  s       #.....#
#.....# http://vipscripts.hypermart.net/ #.....#
#.....#   Vytis Puronas (vip@takas.lt)   #.....#
#/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\#
# See readme.txt for install details and other #
# important information!                       #
#                                              #
#     (c) Copyrighted by ViP.scripts, 1998.    #
################################################

######################
# Counter data file: #
######################
$countfile = "count.vip";

#################
# IP data file: #
#################
$ipfile = "ipdata.vip";

######################################
# Type of digit images you have got: #
######################################
#   $dig_b is such like img0.gif, img1.gif, file5.gif,...
#   $dig_e is such like 0img.gif, 1img.gif, 5file.gif,...
#   If you have just plain 0.gif, 1.gif, 2.gif..., leave
#   both $dig_b and $dig_e commented, otherwise uncomment
#   the one that suits your type...
#$dig_b = "img";
#$dig_e = "img";

##############################
# Size of your digit images: #
##############################
$width = "15";
$height = "13";

###################################################
# Extention of digits image files (.jpg or .gif): #
###################################################
$dig_ext = ".gif";

##################
# Your root URL: #
##################
# (for example, http://members.host.com/~MyDir/ or
# http://www.mydomain.com/). Include the slash at the end!
$root_url = "http://vipscripts.hypermart.net/";

#####################
# Digits directory: #
#####################
# (do not include slash in the begining but put it at the end!)
$dig_dir = "digits/links/";

#=================================================#
#============-  S T O P   H E R E !  -============#
#=================================================#

print "Content-type: text/html\n\n";

open (IPINFO,"<$ipfile");
$ipnum = <IPINFO>;
close (IPINFO);

if ($ipnum eq $ENV{'REMOTE_ADDR'}) {
		&PrintCount;
		&RecordIP;}
else {
	&IncreaseCount;
	&PrintCount;
	&RecordIP;
}

sub PrintCount {

	$ThisPage = $ENV{'DOCUMENT_URI'};
	open(FILE, "$countfile");
	@Data = <FILE>;
	close(FILE);
	foreach $Match (@Data)
	{
		chop($Match);
		($count, $url) = split(/::/, $Match);
		if ($url eq $ThisPage) {
		$hits = $count;
		last;
		}
	}
	@nums = split(//, $hits);
	foreach $CountNr (@nums) {
	$printcount = "<img src=\"$root_url$dig_dir$dig_b$CountNr$dig_e$dig_ext\" width=\"$width\" height=\"$height\" alt=\"$CountNr\">";
	print $printcount;
	}

}

sub RecordIP {
	open (LOGIP,">$ipfile");
	$ThisIP = $ENV{'REMOTE_ADDR'};
	print LOGIP ("$ThisIP");
	close LOGIP;
}

sub IncreaseCount {

	$ThisPage = $ENV{'DOCUMENT_URI'};
	open(COUNTS, "+<$countfile") || die("Can't open $countfile\n");
	while (<COUNTS>) {
		chop;
		($count, $file) = split(/::/, $_);
		$counts{$file} = $count;}
		$counts{$ThisPage}++;
		seek(COUNTS, 0, 0);
		foreach $file (keys %counts) { print COUNTS $counts{$file}, "::", $file, "\n";
		}
	close(COUNTS);
}
